package framework.extensions;

import java.util.*;
import java.io.*;
import javax.xml.namespace.QName;
import javax.xml.ws.handler.MessageContext;
import javax.xml.ws.handler.soap.SOAPHandler;
import javax.xml.ws.handler.soap.SOAPMessageContext;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


public class Handler implements SOAPHandler<SOAPMessageContext> {

    //
    // members
    //
    private Log log = LogFactory.getLog(Handler.class);


    //
    // SOAPHandler methods
    //
    public Set<QName> getHeaders() {
        log.trace("getHeaders()");
        return null;
    }

    public boolean handleMessage(SOAPMessageContext smc) {
        log.trace("handleMessage()");
        return true;
    }

    public boolean handleFault(SOAPMessageContext smc) {
        log.trace("handleFault()");
        return true;
    }

    public void close(MessageContext messageContext) {
        log.trace("close()");
        return;
    }

}
