package framework.web;

import javax.servlet.*;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


public class ContextListener implements ServletContextListener {

    private Log log = LogFactory.getLog(ContextListener.class);


    public void contextInitialized(ServletContextEvent sce) {
        // write startup message
        System.out.println("Framework initializing...");
        log.info("Framework initializing...");

    }

    public void contextDestroyed(ServletContextEvent sce) {
        log.info("Framework terminating...");
    }

}
